// variant.inc


// pjo, 15 oct 1999
// This file is merely a placeholder; soon to moved to hal/i386/generic.


#include <pkgconf/hal.h>
#include <cyg/hal/i386.inc>
#include <cyg/hal/platform.inc>


#define CYGPKG_HAL_I386_MMU_DEFINED

#define K_RDWR			0x60
#define	K_STATUS		0x64
#define	K_CMD			0x64
#define K_OBUF_FUL		0x01
#define K_IBUF_FUL		0x02
#define KC_CMD_WIN		0xD0
#define	KC_CMD_WOUT		0xD1
#define KB_A20			0xDF


.macro hal_mmu_init

// Enable A20 so that addresses at 1MB don't wrap around back to 0.
1:	inb $K_STATUS, %al
	testb $K_IBUF_FUL, %al
	jnz 1b

2:	inb $K_STATUS, %al
	testb $K_OBUF_FUL, %al
	jz 3f
	inb $K_RDWR, %al
	jmp 2b

3:	movb $KC_CMD_WOUT, %al
	outb %al, $K_CMD
1:	inb $K_STATUS, %al
	testb $K_IBUF_FUL, %al
	jnz 1b

	movb $KB_A20, %al
	outb %al, $K_RDWR
1:	inb $K_STATUS, %al
	testb $K_IBUF_FUL, %al
	jnz 1b

.endm



.macro hal_pc_irq_instrument vector
# \vector (which is a stack reference)
.endm

.macro hal_pc_irq_uninstrument vector
.endm


.macro hal_pc_idle_instrument
#	movw $0x24C, %dx
#	movb $1, %al
#	outb %al, %dx
.endm

.macro hal_pc_unidle_instrument
#	movw $0x24C, %dx
#	movb $0, %al
#	outb %al, %dx
.endm

